Subject: Re: [PATCH] memory: omap-gpmc: fix wait pin validation

From: Krzysztof Kozlowski <[email-masked]>
Date: Fri, 9 Dec 2022 12:15:41 +0100

On 09/12/2022 12:10, Niedermayr, BENEDIKT wrote:
> On Fri, 2022-12-09 at 12:04 +0100, Krzysztof Kozlowski wrote:
>> On 09/12/2022 11:58, B. Niedermayr wrote:
>>> From: Benedikt Niedermayr <[email-masked]>
>>>
>>> This bug has been introduced after switching from -1 to UINT_MAX
>>> for GPMC_WAITPIN_INVALID.
>>
>> Please use scripts/get_maintainers.pl to get a list of necessary people
>> and lists to CC.  It might happen, that command when run on an older
>> kernel, gives you outdated entries.  Therefore please be sure you base
>> your patches on recent Linux kernel.
>>
>> I think you got only two addresses right in your entire CC/To list...
>>
>> Please resend with correct addresses.
> OK.
> 
>>
>>
>>> The bug leads to an error when the optional gpmc,wait-pin
>>> dt-property is not used:
>>>
>>> ...
>>> gpmc_cs_program_settings: invalid wait-pin (-1)
>>> ...
>>>
>>> Signed-off-by: Benedikt Niedermayr <[email-masked]>
>>> Fixes: 8dd7e4af5853 ("memory: omap-gpmc: fix coverity issue "Control
>>> flow issues"")
>>> Cc: Tony Lindgren <[email-masked]>
>>> Cc: Rob Herring <[email-masked]>
>>> Cc: Krzysztof Kozlowski <[email-masked]>
>>
>> Do not store maintainer entries in git log. There is no point.
>> Maintainer addresses come automatically and there is never a need to
>> keep automatic output in the history. Keep only people who need to be
>> CCed.
>>
> I wrongly thought I should Cc all people who have been Cc'ed on the
> discussion.
> Sorry, for that.

You can Cc them, that's okay, but Roger, Tony and me are maintainers, so
there is no need to store these addresses in the git log.

Best regards,
Krzysztof